> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt. # Create API key POST https://api.elevenlabs.io/v1/service-accounts/{service_account_user_id}/api-keys Content-Type: application/json Create a new API key for a service account Reference: https://elevenlabs.io/docs/api-reference/service-accounts/api-keys/create ## Servers - `https://api.elevenlabs.io` (Production, default) - `https://api.us.elevenlabs.io` (Production US) - `https://api.eu.residency.elevenlabs.io` (Production EU) - `https://api.in.residency.elevenlabs.io` (Production India) - `https://api.sg.residency.elevenlabs.io` (Production Singapore) ## Request ### Path parameters - `service_account_user_id` (string, required) ### Body (application/json) This endpoint expects a Body_create_service_account_api_key_v1_service_accounts__service_account_user_id__api_keys_post. - `name` (string, required) - `permissions` (BodyCreateServiceAccountApiKeyV1ServiceAccountsServiceAccountUserIdApiKeysPostPermissions, required) — The permissions of the XI API. - `character_limit` (integer, optional, nullable) — The character limit of the XI API key. If provided this will limit the usage of this api key to n characters per month where n is the chosen value. Requests that incur charges will fail after reaching this monthly limit. - `allowed_ips` (list of string, optional, nullable) — List of IP addresses or CIDR ranges allowed to use this API key. Each entry may be a CIDR range (e.g. '10.0.0.0/24') or a bare IP address (normalized to /32 or /128). On create, omit or pass null to allow all IPs. On update, omit to leave the allowlist unchanged, or pass "clear" to remove it. - `third_party_disable_allowed` (boolean, optional, nullable) — Whether the holder of this key may disable it via the self-disable endpoint. On create, omit or pass null to use the workspace's default (enabled for non-Enterprise plans, disabled for Enterprise plans). On update, omit to leave it unchanged, or pass "clear" to reset it to the workspace default. Only honored for workspaces with self-disable access enabled. - `tts_concurrency_limit` (integer, optional, nullable) — Maximum concurrent text-to-speech/speech-to-speech requests for this API key. Only available for enterprise customers. - `dubbing_concurrency_limit` (integer, optional, nullable) — Maximum concurrent dubbing requests for this API key. Only available for enterprise customers. - `music_concurrency_limit` (integer, optional, nullable) — Maximum concurrent music generation requests for this API key. Only available for enterprise customers. ## Response ### 200 Successful Response - `xi-api-key` (string, required) - `key_id` (string, required) ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### BodyCreateServiceAccountApiKeyV1ServiceAccountsServiceAccountUserIdApiKeysPostPermissions The permissions of the XI API. ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItems ## Examples **Request** ```json { "name": "string", "permissions": [ "text_to_speech" ] } ``` **Response** ```json { "xi-api-key": "string", "key_id": "string" } ``` **SDK Code** ```python import requests url = "https://api.elevenlabs.io/v1/service-accounts/service_account_user_id/api-keys" payload = { "name": "string", "permissions": ["text_to_speech"] } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.elevenlabs.io/v1/service-accounts/service_account_user_id/api-keys'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"name":"string","permissions":["text_to_speech"]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.elevenlabs.io/v1/service-accounts/service_account_user_id/api-keys" payload := strings.NewReader("{\n \"name\": \"string\",\n \"permissions\": [\n \"text_to_speech\"\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.elevenlabs.io/v1/service-accounts/service_account_user_id/api-keys") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"string\",\n \"permissions\": [\n \"text_to_speech\"\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.elevenlabs.io/v1/service-accounts/service_account_user_id/api-keys") .header("Content-Type", "application/json") .body("{\n \"name\": \"string\",\n \"permissions\": [\n \"text_to_speech\"\n ]\n}") .asString(); ``` ```php request('POST', 'https://api.elevenlabs.io/v1/service-accounts/service_account_user_id/api-keys', [ 'body' => '{ "name": "string", "permissions": [ "text_to_speech" ] }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.elevenlabs.io/v1/service-accounts/service_account_user_id/api-keys"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"name\": \"string\",\n \"permissions\": [\n \"text_to_speech\"\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [ "name": "string", "permissions": ["text_to_speech"] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/service-accounts/service_account_user_id/api-keys")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > ElevenLabs provides APIs and SDKs for text to speech, voice cloning, speech to text, sound effects, voice isolator, voice changer, and conversational AI agents. Build voice-enabled applications with lifelike audio generation.